Tools - Bug #1444

[notsystemd] Remove logind, depend on elogind
2017-08-19 12:01 AM - Megver83

Status: open % Done: 0%
Priority: bug

Assignee: lukeshu

Category:

Description

Hi, many DEs in the Systemd-free world are migrating to elogind, which has files in common with notsystemd. They can coexist, but
for that | had to do a --force when installing with pacman. | was thinking that, as elogind is more optimized for non-systemd systems
maybe we can remove those conflicting files from notsystemd and make elogind a dependency of it (at least as optional).

| [added eudev in provides=()](
https://git.parabola.nu/abslibre.git/commit/libre/notsystemd?id=4fecb274dba93f27c116fdf19545cac09fdf2e7f) as the eudev-openrc
init script works with notsystemd's udev, but couldn't do the same for elogind-openrc. Elogind depends on eudev, and (as | said) it
can work with notsystemd but it needs a better integration by its side.

The second option would be to include elogind inside notsystemd, so then put elogind in provides=() as | did with eudev, but | think
it's easier to put it as a dependency.

Here | attach the list of files that conflict with elogind.

Related issues:
Has duplicate Packages - Packaging Request #1917: [systemd][libsystemd] diver... not-a-bug

History

#1 - 2018-07-28 03:49 AM - lukeshu
- Has duplicate Packaging Request #1917: [systemd][libsystemd] diverge from logind added

#2 - 2018-07-28 05:20 AM - lukeshu

- Assignee set to lukeshu
